org.eclipse.ltk.ui.refactoring

## Class TextEditChangeNode.ChildNode

- java.lang.Object
- - org.eclipse.ltk.internal.ui.refactoring.PreviewNode
  - - org.eclipse.ltk.ui.refactoring.TextEditChangeNode.ChildNode

Direct Known Subclasses:
  org.eclipse.ltk.internal.ui.refactoring.InternalLanguageElementNode

Enclosing class:
  TextEditChangeNode

    public abstract static class TextEditChangeNode.ChildNode
    extends org.eclipse.ltk.internal.ui.refactoring.PreviewNode

### Constructor Summary

Constructors
`protected` `ChildNode(org.eclipse.ltk.internal.ui.refactoring.PreviewNode parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected TextEditChangeNode` `getTextEditChangeNode()`

### Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.PreviewNode

`getImageDescriptor, getText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChildNode

    protected ChildNode(org.eclipse.ltk.internal.ui.refactoring.PreviewNode parent)

### Method Detail

#### getTextEditChangeNode

    protected TextEditChangeNode getTextEditChangeNode()